aboutsummaryrefslogtreecommitdiff
path: root/www/oops/pkg-install
diff options
context:
space:
mode:
authorWill Andrews <will@FreeBSD.org>2000-09-17 22:36:32 +0000
committerWill Andrews <will@FreeBSD.org>2000-09-17 22:36:32 +0000
commit97ff1a477e8631a785ea28b6eba0025287fc73c7 (patch)
tree1e541446a678cd649cc8d4fceefe4ebe75d68507 /www/oops/pkg-install
parentd24350b748151e2d5021020d7d3d14feadcfc85c (diff)
downloadports-97ff1a477e8631a785ea28b6eba0025287fc73c7.tar.gz
ports-97ff1a477e8631a785ea28b6eba0025287fc73c7.zip
Add oops 1.4.16, a www proxy server similar to squid but easier to configure,
threadsafe (can use more than one CPU), and faster (uses large files rather than many files). PR: 21318 Submitted by: Sergey Oskin <oZZ@FreeBSD.org.ru>
Notes
Notes: svn path=/head/; revision=32786
Diffstat (limited to 'www/oops/pkg-install')
-rw-r--r--www/oops/pkg-install49
1 files changed, 49 insertions, 0 deletions
diff --git a/www/oops/pkg-install b/www/oops/pkg-install
new file mode 100644
index 000000000000..187fd5ddd3be
--- /dev/null
+++ b/www/oops/pkg-install
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+user=oops
+group=wheel
+
+ask() {
+ local question default answer
+
+ question=$1
+ default=$2
+ if [ -z "${PACKAGE_BUILDING}" ]; then
+ read -p "${question} [${default}]? " answer
+ fi
+ if [ x${answer} = x ]; then
+ answer=${default}
+ fi
+ echo ${answer}
+}
+
+yesno() {
+ local dflt question answer
+
+ question=$1
+ dflt=$2
+ while :; do
+ answer=$(ask "${question}" "${dflt}")
+ case "${answer}" in
+ [Yy]*) return 0;;
+ [Nn]*) return 1;;
+ esac
+ echo "Please answer yes or no."
+ done
+}
+
+if [ x"$2" = xPRE-INSTALL ]; then
+ if /usr/sbin/pw user show "${user}" 2>/dev/null; then
+ echo "You already have a user \"${user}\", so I will use it."
+ else
+ echo "You need a user \"${user}\"."
+ if yesno "Would you like me to create it" y; then
+ /usr/sbin/pw useradd ${user} -g ${group} -h - -d /nonexistent \
+ -s /nonexistent -c "Postfix Mail System" || exit
+ echo "Done."
+ else
+ echo "Please create it, and try again."
+ exit 1
+ fi
+ fi
+fi